Upstream information

CVE-2018-1890 at MITRE

Description

IBM SDK, Java Technology Edition Version 8 on the AIX platform uses absolute RPATHs which may facilitate code injection and privilege elevation by local users. IBM X-Force ID: 152081.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 5.6
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H AV:L/AC:H/PR:N/UI:N/S:C/C:L/I:L/A:L
Access Vector Local Local
Access Complexity Low High
Privileges Required Low None
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
SUSE Bugzilla entry: 1128158 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-Storage-4-2019-617
SUSE Linux Enterprise Module for Legacy Software 15
  • java-1_8_0-ibm >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-3.16.2
Patchnames:
SUSE-SLE-Module-Legacy-15-2019-585
SUSE Linux Enterprise Module for Legacy Software 15 SP1
  • java-1_8_0-ibm >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-3.16.2
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-3.16.2
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 15 SP1 GA java-1_8_0-ibm
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-617
SUSE Linux Enterprise Server 12 SP1-LTSS
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-617
SUSE Linux Enterprise Server 12 SP2-BCL
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-617
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-617
SUSE Linux Enterprise Server 12 SP2-LTSS
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-617
SUSE Linux Enterprise Server 12 SP3
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-617
SUSE Linux Enterprise Server 12 SP4
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-617
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-617
SUSE Linux Enterprise Software Development Kit 12 SP3
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-617
SUSE Linux Enterprise Software Development Kit 12 SP4
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-617
SUSE OpenStack Cloud 7
  • java-1_8_0-ibm >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.30-30.46.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.30-30.46.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-617


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 java-1_7_1-ibm Not affected
SUSE Linux Enterprise High Performance Computing 12 java-1_8_0-ibm Released
SUSE Linux Enterprise Module for Legacy Software 15 java-1_8_0-ibm Released
SUSE Linux Enterprise SDK 11 SP4 java-1_7_1-ibm Not affected
SUSE Linux Enterprise SDK 12 SP3 java-1_7_1-ibm Not affected
SUSE Linux Enterprise SDK 12 SP3 java-1_8_0-ibm Released
SUSE Linux Enterprise SDK 12 SP4 java-1_7_1-ibm Not affected
SUSE Linux Enterprise SDK 12 SP4 java-1_8_0-ibm Released
SUSE Linux Enterprise Server 11 SP3 LTSS java-1_7_0-ibm Not affected
SUSE Linux Enterprise Server 11 SP4 java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server 12 GA LTSS java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_8_0-ibm Released
SUSE Linux Enterprise Server 12 SP2 LTSS java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS java-1_8_0-ibm Released
SUSE Linux Enterprise Server 12 SP3 java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server 12 SP3 java-1_8_0-ibm Released
SUSE Linux Enterprise Server 12 SP4 java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server 12 SP4 java-1_8_0-ibm Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 java-1_7_0-ibm Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 java-1_8_0-ibm Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 java-1_7_1-ibm Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 java-1_8_0-ibm Released